Bug 1418279 (US122166) - [RFE] expose auto-attach property on the activation key page.
Summary: [RFE] expose auto-attach property on the activation key page.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: US122166
Product: Red Hat Customer Portal
Classification: Red Hat
Component: Subscriptions/RHSM
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: Current Sprint
: ---
Assignee: Thomas "Shea" DeAntonio
QA Contact: Jon Allen
Anni Bond
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 12:44 UTC by Rich Jerrido
Modified: 2017-05-30 19:44 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 19:44:26 UTC
Target Upstream Version:
ealcaniz: release-blocker?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1415014 1 None None None 2021-01-20 06:05:38 UTC

Internal Links: 1415014

Description Rich Jerrido 2017-02-01 12:44:44 UTC
Description of problem:

On the portal's activation key page (https://access.redhat.com/management/activation_keys), when creating an activation key, the ability to toggle the auto-attach property from True to False should be exposed. 

Changing the auto-attach property significantly changes how Candlepin processes the activation key and allows the end user significant flexibility in how they attach subs. 

Currently today, the only use case that portal's activation keys support is 

"attach every sub listed on the key"

Users also need the ability to use activation keys in the following manner:

"pick a proper sub from the list" (i.e. run auto-attach using only the listed subs). 

"register, and run auto-attach" (useful for virtual guests registering on hypervisors)


More details on the use-cases is described in 'Subscription-manager for the former Red Hat Network User: Part 9 - A Case Study with activation keys.' (https://access.redhat.com/blogs/1169563/posts/2867891)

Comment 3 Roman Bobek 2017-02-27 07:21:19 UTC
Hello team,

can we get some ETA for this RFE?

Many thanks,


-Roman

Comment 9 smcdowel 2017-05-30 19:44:26 UTC
This feature has been released to Production today as part of RHSM Web 14.2.0. A separate RFE for documentation should be opened, as it will end up with a different team.


Note You need to log in before you can comment on or make changes to this bug.